POST api/NTCosCompany/PostCorporationInjuryAreaRegion

Request Information

URI Parameters

None.

Body Parameters

Collection of CorporationInjuryAreaRegionDTO
NameDescriptionTypeAdditional information
CorporationInjuryAreaRegionId

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

CorporationValidFlag

boolean

None.

Type

integer

None.

Id

integer

None.

Sequence

integer

None.

Name

string

String length: inclusive between 0 and 50

MedGateCode

string

String length: inclusive between 0 and 50

Description

string

String length: inclusive between 0 and 100

Standard

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "CorporationInjuryAreaRegionId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Sequence": 6,
    "Name": "sample string 7",
    "MedGateCode": "sample string 8",
    "Description": "sample string 9",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:31:55.3912758-07:00",
    "DateUpdated": "2026-08-04T14:31:55.3912758-07:00",
    "UserIDCreated": 14,
    "UserIDUpdated": 15,
    "CompanyCode": "sample string 16",
    "IsExcludeDiscount": true
  },
  {
    "CorporationInjuryAreaRegionId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Sequence": 6,
    "Name": "sample string 7",
    "MedGateCode": "sample string 8",
    "Description": "sample string 9",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:31:55.3912758-07:00",
    "DateUpdated": "2026-08-04T14:31:55.3912758-07:00",
    "UserIDCreated": 14,
    "UserIDUpdated": 15,
    "CompanyCode": "sample string 16",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCorporationInjuryAreaRegionDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationInjuryAreaRegionDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationInjuryAreaRegionId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Sequence": 6,
      "Name": "sample string 7",
      "MedGateCode": "sample string 8",
      "Description": "sample string 9",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:31:55.3912758-07:00",
      "DateUpdated": "2026-08-04T14:31:55.3912758-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15,
      "CompanyCode": "sample string 16",
      "IsExcludeDiscount": true
    },
    {
      "CorporationInjuryAreaRegionId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Sequence": 6,
      "Name": "sample string 7",
      "MedGateCode": "sample string 8",
      "Description": "sample string 9",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:31:55.3912758-07:00",
      "DateUpdated": "2026-08-04T14:31:55.3912758-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15,
      "CompanyCode": "sample string 16",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}